/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sudoku;

import java.util.Hashtable;
import jpl.*;
import jpl.Query;
/**
 *
 * @author CoLesiu
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    private static Query q;
    
    public static boolean solve(String[][] s){
        try {
            String clause = "sudoku(";
            for(int i=0;i<9;i++){
                for(int j=0;j<9;j++){
                    clause += s[i][j];
                    if(i!=8 || j!=8) clause += ",";
                }
            }
            clause +=")";
            //System.out.println(clause);
            q = new Query(clause);
            //System.out.println(q.oneSolution().get("A00"));
            return q.hasMoreSolutions();
        } catch(Exception e){
            return false;
        }
    }
    
    public static boolean hasMoreSolutions(){
        return q.hasMoreSolutions();
    }
    public static Hashtable solveNext(){
        return q.nextSolution();
    }
    
    public static Hashtable solveOne(){
        return q.oneSolution();
    }
            
    public static void main(String[] args) {
        try{
            q = new Query("consult('sudoku.pl')");
            q.hasSolution();

        }catch (Exception e){
            System.err.print(e.getMessage());
        }

        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new SudokuWindow().setVisible(true);
            }
        });
    }
}
